From 1fb11bf060ef0bccb0dd949fbf7ea63c763f008d Mon Sep 17 00:00:00 2001
From: Anton Kolesov <Anton.Kolesov@synopsys.com>
Date: Tue, 21 Jun 2016 13:51:36 +0300
Subject: [PATCH] Disable sim build for ARC in top-level configure.ac

Sim doesn't support ARC, so it should be disabled by default for it.

2016-09-22  Anton Kolesov  <anton.kolesov@synopsys.com>

	* configure.ac: Disable sim for ARC.
	* configure: Regenerate.
---
 configure    | 3 +++
 configure.ac | 3 +++
 2 files changed, 6 insertions(+)

diff --git a/configure b/configure
index c4a2cd1..3b30f77 100755
--- a/configure
+++ b/configure
@@ -3762,6 +3762,9 @@ case "${target}" in
   sh*-*-pe|mips*-*-pe|*arm-wince-pe)
     noconfigdirs="$noconfigdirs tcl tk itcl libgui sim"
     ;;
+  arc*-*-*)
+    noconfigdirs="$noconfigdirs sim"
+    ;;
   arm-*-pe*)
     noconfigdirs="$noconfigdirs target-libgloss"
     ;;
diff --git a/configure.ac b/configure.ac
index a1b9da4..7fa9c46 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1098,6 +1098,9 @@ case "${target}" in
   sh*-*-pe|mips*-*-pe|*arm-wince-pe)
     noconfigdirs="$noconfigdirs tcl tk itcl libgui sim"
     ;;
+  arc*-*-*)
+    noconfigdirs="$noconfigdirs sim"
+    ;;
   arm-*-pe*)
     noconfigdirs="$noconfigdirs target-libgloss"
     ;;
-- 
2.8.1

